# Models

- [Create Model](https://docs.predicthq.com/api/forecasts/models/create-model.md): Create a forecast model.
- [Update Model](https://docs.predicthq.com/api/forecasts/models/update-model.md): Update an existing forecast model.
- [Replace Model](https://docs.predicthq.com/api/forecasts/models/replace-model.md): Replace an existing forecast model.
- [Delete Model](https://docs.predicthq.com/api/forecasts/models/delete-model.md)
- [Search Models](https://docs.predicthq.com/api/forecasts/models/search-models.md): Search forecast models.
- [Get Model](https://docs.predicthq.com/api/forecasts/models/get-model.md): Get an existing forecast model.
- [Train Model](https://docs.predicthq.com/api/forecasts/models/train-model.md): Train an existing forecast model.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/forecasts/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
